## dnsdiag 1.6.4

=== requirements.txt ===
dnspython>=1.15.0
cymruwhois>=1.6

## dnsdiag 1.4.0

=== debian/changelog ===
dnsdiag (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #824670)

 -- Ana Custura <ana@netstat.org.uk>  Sat, 03 Dec 2016 20:47:30 +0000

=== debian/control ===
Source: dnsdiag
Section: net
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, dh-exec
Standards-Version: 3.9.8
Homepage: https://dnsdiag.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dnsdiag.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dnsdiag.git/

Package: dnsdiag
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dnspython, python3-cymruwhois
Description: DNS request auditing toolset 
 Set of tools to perform basic audits on your DNS requests and responses to
 make sure your DNS is working as you expect.  Dnsping can be used to measure
 the response time of a given DNS server for arbitrary requests. Just like a
 traditional ping utility, it provides similar functionality for DNS requests.
 .
 Dnstraceroute can be used to trace the path a DNS request takes to
 destination. Its purpose is to detect whether a request is redirected or
 hijacked. This can be done by comparing different DNS queries being sent to the
 same DNS server using dnstraceroute and observe if there is any difference
 between the path.
 .
 dnseval evaluates multiple DNS resolvers and helps you choose the best DNS
 server for your network. It is highly recommended to use your own DNS resolver
 as opposed to a third-party DNS server, but in case you need to choose the best
 DNS forwarder for your network, dnseval lets you compare different DNS servers
 from performance (latency) and reliability (loss) point of view.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=dnsdiag
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python3 --buildsystem=pybuild

## dnsdiag 1.6.3

=== debian/changelog ===
dnsdiag (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * Moves dnstraceroute to /usr/sbin due to privilege requirement
  * Removes fuzz from patch consolescripts.diff
  * Removes patch cymruwhois.diff as no longer needed
  * Updates standards version to 4.1.0
  * Removes .py extension from scripts during install

 -- Ana Custura <ana@netstat.org.uk>  Fri, 01 Sep 2017 00:06:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
 Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, dh-exec
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://dnsdiag.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-
+override_dh_auto_install:
+	dh_auto_install
+	mv $(CURDIR)/debian/dnsdiag/usr/bin/dnseval.py $(CURDIR)/debian/dnsdiag/usr/bin/dnseval
+	mv $(CURDIR)/debian/dnsdiag/usr/bin/dnsping.py $(CURDIR)/debian/dnsdiag/usr/bin/dnsping
+	mkdir $(CURDIR)/debian/dnsdiag/usr/sbin
+	mv $(CURDIR)/debian/dnsdiag/usr/bin/dnstraceroute.py $(CURDIR)/debian/dnsdiag/usr/sbin/dnstraceroute

## dnsdiag 1.6.4

=== debian/changelog ===
dnsdiag (1.6.4-2) unstable; urgency=medium

  * Updates VCS fields
  * Bumps Standards-Version to 4.2.0
  * Removes unused patch file
  * Adds DPMT to uploaders field

 -- Ana Custura <ana@netstat.org.uk>  Sun, 12 Aug 2018 18:18:48 +0100

dnsdiag (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4
  * Updates standards version to 4.3.0
  * Bumps compat version to 11
  * Removes deprecated fields in debian/control

 -- Ana Custura <ana@netstat.org.uk>  Sun, 27 May 2018 23:17:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, dh-exec
-Standards-Version: 4.1.0
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, dh-exec
+Standards-Version: 4.2.0
 Homepage: https://dnsdiag.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dnsdiag.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dnsdiag.git/
+Vcs-Git: https://salsa.debian.org/python-team/modules/dnsdiag.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dnsdiag
 
 Package: dnsdiag
 Architecture: all

## dnsdiag 1.7.0

=== requirements.txt ===
dnspython>=1.16.0
cymruwhois>=1.6

=== debian/changelog ===
dnsdiag (1.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Ana Custura ]
  * Moves manpage of dnstraceroute to section 8
  * New upstream version 1.7.0
  * Refresh consolescripts.diff patch
  * Update S-V to 4.4.1 (no changes needed)

 -- Ana Custura <ana@netstat.org.uk>  Sat, 08 Feb 2020 18:16:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, dh-exec
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools, dh-exec
+Standards-Version: 4.4.1
 Homepage: https://dnsdiag.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/dnsdiag.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dnsdiag
@@ -12,7 +12,7 @@
 Package: dnsdiag
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-dnspython, python3-cymruwhois
-Description: DNS request auditing toolset 
+Description: DNS request auditing toolset
  Set of tools to perform basic audits on your DNS requests and responses to
  make sure your DNS is working as you expect.  Dnsping can be used to measure
  the response time of a given DNS server for arbitrary requests. Just like a

## dnsdiag 2.0.2

=== requirements.txt ===
dnspython>=1.16.0
cymruwhois>=1.6
requests>=2.21.0
requests-toolbelt>=0.9.1

=== debian/changelog ===
dnsdiag (2.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jun 2022 21:13:18 -0400

dnsdiag (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Bump debhelper-compat version to 13
  * Add Rules-Requires-Root: no to debian/control
  * Remove patch applied upstream
  * Ignore binary cache file

 -- Ana Custura <ana@netstat.org.uk>  Wed, 19 Jan 2022 12:52:50 +0000

dnsdiag (1.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for runtime warning with dnspython 2.
    (Closes: #995015)
  * Build depend on python3, not python3-all.

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Nov 2021 17:49:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools, dh-exec
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools, dh-exec
 Standards-Version: 4.4.1
 Homepage: https://dnsdiag.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/dnsdiag.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dnsdiag
+Vcs-Git: https://salsa.debian.org/python-team/packages/dnsdiag.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dnsdiag
+Rules-Requires-Root: no
 
 Package: dnsdiag
 Architecture: all

## dnsdiag 2.1.0

=== requirements.txt ===
dnspython>=2.3.0
cymruwhois>=1.6
requests==2.28.2
requests-toolbelt==0.10.1

=== debian/changelog ===
dnsdiag (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Build-Depends to match install_requires.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 18:49:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools, dh-exec
+Uploaders:
+ Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec,
+ dh-python,
+ python3,
+ python3-cymruwhois,
+ python3-dnspython,
+ python3-requests (>= 2.28.2),
+ python3-requests-toolbelt,
+ python3-setuptools,
 Standards-Version: 4.4.1
 Homepage: https://dnsdiag.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/dnsdiag.git
@@ -12,7 +22,9 @@
 
 Package: dnsdiag
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-dnspython, python3-cymruwhois
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: DNS request auditing toolset
  Set of tools to perform basic audits on your DNS requests and responses to
  make sure your DNS is working as you expect.  Dnsping can be used to measure

## dnsdiag 2.5.0

=== requirements.txt ===
dnspython>=2.6.1
cymruwhois>=1.6
httpx>=0.27.0
cryptography>=42.0.7
h2>=4.1.0

=== debian/changelog ===
dnsdiag (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Weaken python3-cryptography dependency to >= 42; 42.0.7 is
    overly-specific and isn't currently in Debian.

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Jul 2024 11:56:07 +0100

dnsdiag (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update dependencies in line with upstream, including depending on
    python3-httpx (LP: #2043939).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 11:54:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  dh-exec,
  dh-python,
  python3,
+ python3-cryptography,
  python3-cymruwhois,
  python3-dnspython,
- python3-requests (>= 2.28.2),
- python3-requests-toolbelt,
+ python3-h2,
+ python3-httpx,
  python3-setuptools,
 Standards-Version: 4.4.1
 Homepage: https://dnsdiag.org/

## dnsdiag 2.6.0

=== requirements.txt ===
aioquic>=1.2.0
cryptography>=42.0.5
cymruwhois>=1.6
dnspython>=2.7.0
h2>=4.1.0
httpx>=0.27.0

=== debian/changelog ===
dnsdiag (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Simplify a debhelper override slightly.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 11:36:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
+ python3-aioquic,
  python3-cryptography,
  python3-cymruwhois,
  python3-dnspython,

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,11 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=dnsdiag
-export PYBUILD_SYSTEM=distutils
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mv $(CURDIR)/debian/dnsdiag/usr/bin/dnseval.py $(CURDIR)/debian/dnsdiag/usr/bin/dnseval
 	mv $(CURDIR)/debian/dnsdiag/usr/bin/dnsping.py $(CURDIR)/debian/dnsdiag/usr/bin/dnsping
 	mkdir $(CURDIR)/debian/dnsdiag/usr/sbin

=== debian/watch ===
version=4

   https://github.com/farrokhi/dnsdiag/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
